<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.AnimationData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_animation_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_tri_lib_1_1_animation_data-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.AnimationData Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Internally represents an Unity UnityEngine.AnimationClip.  
 <a href="class_tri_lib_1_1_animation_data.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ae507b7dc8c52e9be2fcf93454f0f62d1"><td class="memItemLeft" align="right" valign="top"><a id="ae507b7dc8c52e9be2fcf93454f0f62d1" name="ae507b7dc8c52e9be2fcf93454f0f62d1"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>Name</b></td></tr>
<tr class="separator:ae507b7dc8c52e9be2fcf93454f0f62d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a719a326019c68748b48e8726c9ad2eab"><td class="memItemLeft" align="right" valign="top"><a id="a719a326019c68748b48e8726c9ad2eab" name="a719a326019c68748b48e8726c9ad2eab"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Legacy</b></td></tr>
<tr class="separator:a719a326019c68748b48e8726c9ad2eab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a347e61fb9490f5ad3555f8cd1c479f1d"><td class="memItemLeft" align="right" valign="top"><a id="a347e61fb9490f5ad3555f8cd1c479f1d" name="a347e61fb9490f5ad3555f8cd1c479f1d"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Length</b></td></tr>
<tr class="separator:a347e61fb9490f5ad3555f8cd1c479f1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaa655abeb671ecb41566d441da36e2c"><td class="memItemLeft" align="right" valign="top"><a id="abaa655abeb671ecb41566d441da36e2c" name="abaa655abeb671ecb41566d441da36e2c"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>FrameRate</b></td></tr>
<tr class="separator:abaa655abeb671ecb41566d441da36e2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c94d802d7ca4ba1f3920ef95446d9b"><td class="memItemLeft" align="right" valign="top"><a id="a64c94d802d7ca4ba1f3920ef95446d9b" name="a64c94d802d7ca4ba1f3920ef95446d9b"></a>
WrapMode&#160;</td><td class="memItemRight" valign="bottom"><b>WrapMode</b></td></tr>
<tr class="separator:a64c94d802d7ca4ba1f3920ef95446d9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72ba37aa36e550d9b4b466cab2e7f96c"><td class="memItemLeft" align="right" valign="top"><a id="a72ba37aa36e550d9b4b466cab2e7f96c" name="a72ba37aa36e550d9b4b466cab2e7f96c"></a>
<a class="el" href="class_tri_lib_1_1_animation_channel_data.html">AnimationChannelData</a>[]&#160;</td><td class="memItemRight" valign="bottom"><b>ChannelData</b></td></tr>
<tr class="separator:a72ba37aa36e550d9b4b466cab2e7f96c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a719dc5ee89b5a65ed9f204ace510872e"><td class="memItemLeft" align="right" valign="top"><a id="a719dc5ee89b5a65ed9f204ace510872e" name="a719dc5ee89b5a65ed9f204ace510872e"></a>
<a class="el" href="class_tri_lib_1_1_morph_channel_data.html">MorphChannelData</a>[]&#160;</td><td class="memItemRight" valign="bottom"><b>MorphData</b></td></tr>
<tr class="separator:a719dc5ee89b5a65ed9f204ace510872e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2de514f0b8d21a7c19b709745ce987d9"><td class="memItemLeft" align="right" valign="top"><a id="a2de514f0b8d21a7c19b709745ce987d9" name="a2de514f0b8d21a7c19b709745ce987d9"></a>
AnimationClip&#160;</td><td class="memItemRight" valign="bottom"><b>AnimationClip</b></td></tr>
<tr class="separator:a2de514f0b8d21a7c19b709745ce987d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Internally represents an Unity UnityEngine.AnimationClip. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/InternalData/<a class="el" href="_animation_data_8cs.html">AnimationData.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_animation_data.html">AnimationData</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
